<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('gope/grid', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('gope/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('gope/pdf1')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('gope/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('gope/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id){
  //buildUrl('rep/delete/id/'block=001'
  if(confirm("�Esta seguro de eliminar El Gasto Operativo: "+id+ " ?")){
      parent.objMainTab.reqBody('<?=buildUrl('gope/delete')?>','&delete=1&cod=jj&id='+id);
  }
  
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?
$fecha = date('Y-m-d');
?>

<?php


if(myUser::getUser()->getIdPadre()){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 

if($idAdministrador){
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	
	$o_colaborador = new ColaboradorBean();
	$o_colaborador->setIdPadre($idAdministrador);
	
	$a_rol[] = 'sys.ope';
	$o_colaborador->setFiltroColaborador($a_rol);
	$o_colaborador->setEstado('A');
	
	$o_CapitalInicialSystemClass = new CapitalInicialSystemClass($o_colaborador);
	$a_Colaborador = $o_CapitalInicialSystemClass->getColaborador();
	
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
	$o_BalanceDia = new BalanceDiaBean();
	$o_BalanceDia->setIdSucursal($IdSucursal);
	$o_BalanceDia->setIdAdministrador($idAdministrador);
	
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();

}





?>


<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Gasto Operativo</li></td>
          <td align="right" valign="baseline">
            <img name="add" src="/images/common/buttons/btnAdd.gif" title="Nuevo Ingreso" onClick="parent.objMainTab.modalDialog('<?=buildUrl('gope/add')?>','001')" style="cursor:pointer">
              <!-- <img src="/images/common/buttons/btnExcel.gif" title="Exportar a Excel" onClick="exportFindControl('excel');" style="cursor:pointer"/>
            <img src="/images/common/buttons/btnPdf.gif" title="Exportar a PDF" onClick="exportFindControl('pdf');" style="cursor:pointer"/> -->
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDescripcion">Representante</label></td>
                       <td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador" onchange="acutalizarEspecialidad('cboEspecialidad',this)" >
                        <option value="" > - Seleccionar - </option>
                          <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
                           <option value="<?=$o_ColaboradorBean->getIdColaborador()?>">
                           <?=$o_ColaboradorBean->getNombreCompleto()?>
                           </option>
                          <?php } ?>
                        </select>
                    </td>
                    <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td> 
                    
                   
				     <td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">F.&nbsp;Inicial</label></td>
                     <td nowrap="nowrap"><input class="text" type="text" ondblclick="this.value=''" name="txtFechaInicial" id="txtFechaInicial" size="7" readonly value="<?=$fecha?>"/>&nbsp;<button type="button" onclick="return false" id="btnFechaInicial">...</button></td>
                      <script type="text/javascript">
                            document.getElementById("txtFechaInicial").disabled = false;
                            Calendar.setup({
                              inputField : "txtFechaInicial",
                              ifFormat : "%Y-%m-%d",
                              daFormat : "%Y-%m-%d",
                              button   : "btnFechaInicial"
                            });
                        </script>
                      <td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">F.&nbsp;Final</label></td>
                      
                      <td nowrap="nowrap"><input class="text" type="text" ondblclick="this.value=''" name="txtFechaFinal" id="txtFechaFinal" size="7" readonly value="<?=$fecha?>"/>&nbsp;<button type="button" onclick="return false" id="btnFechaFinal">...</button></td>
                      <script type="text/javascript">
                            document.getElementById("txtFechaFinal").disabled = false;
                            Calendar.setup({
                              inputField : "txtFechaFinal",
                              ifFormat : "%Y-%m-%d",
                              daFormat : "%Y-%m-%d",
                              button   : "btnFechaFinal"
                            });
                        </script>
                        <td width="10%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDescripcion">Estado</label></td>
                         <td nowrap="nowrap" width="38%">
								       <select name="cboEstado" id="cboEstado" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
									      <option value="" >Selecione</option>
									      <option value="A">Activo</option>
									      <option value="I">Inactivo</option>
							  		  </select>
								    </td>
                    </tr>
					           <tr>
			    		         <td align="center" style="vertical-align:top" colspan="9"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
			 		         </tr>
                  </table>
                </td>
            </table>
          </td>
        </tr>
      </table>
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCapitalInicial').value = "<?=$id?>";
    $('cboAdministrador').value = "<?=$cboAdministrador?>";
    $('Fecha').value = "<?=$Fecha?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCapitalInicial').value = "<?=$id?>";
    $('cboColaborador').value = "<?=$cboColaborador?>";
    $('Fecha').value = "<?=$Fecha?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCapitalInicial').value = "<?=$id?>";
    $('cboAdministrador').value = "<?=$cboAdministrador?>";
    $('Fecha').value = "<?=$Fecha?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    findControl();
  </script>
  <?php 
  
}
?>